.xxx-fallback-promo__bottom-stretch {
    position: fixed;
    z-index: 145;
    left: 0;
    right: 0;
    bottom: 0;
    transform: translateY(250px);
    box-shadow: 0 0 20px 6px #d9dadc;
    transition: transform 0.55s;
}

.xxx-fallback-promo__bottom-stretch.active-anim {
    transform: translateY(0);
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__inner {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    min-height: 100px;
    height: 90px;
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__link {
    position: absolute;
    z-index: 5;
    inset: 0;
    cursor: pointer;
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__container {
    max-width: 1360px;
    margin: 0 auto;
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__media {
    max-width: 100%;
    height: 100px;
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__btn-close {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 15;
    width: 30px;
    height: 30px;
    padding: 0;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 50%;
    border: none;
    cursor: pointer;
}

.xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__btn-close::before {
    content: '×';
    font-family: Arial, sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
    color: #fff;
    opacity: 1;
}

@media screen and (max-width: 1190px) {
    .xxx-fallback-promo__bottom-stretch {
        box-shadow: none;
    }

    .xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__container {
        padding-left: 0;
        padding-right: 0;
    }

    .xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__inner {
        min-height: auto;
        height: auto;
    }
}

@media screen and (max-width: 768px) {
    .xxx-fallback-promo__bottom-stretch {
        justify-content: space-around;
    }
}

@media screen and (max-width: 740px) {
    .xxx-fallback-promo__bottom-stretch {
        justify-content: space-around;
    }

    .xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__inner {
        justify-content: center;
        height: 100px;
    }

    .xxx-fallback-promo__bottom-stretch .xxx-fallback-promo__media {
        max-height: 110px;
        width: auto;
    }
}
